@import (reference) "../less/platoreso";

.dialog {
  display: flex;
  justify-content: center;
  > * {
    width: 100%;
    max-width: @largeMonitorGridWidth;
  }
}

.dialog-enter, .dialog-appear {
  opacity: 0.01;
  transform: translateY(-5%);
  will-change: opacity, transform;
  &.dialog-enter-active, &.dialog-appear-active {
    opacity: 1;
    transform: translateY(0%);
    transition: opacity, transform 250ms ease-out;
  }
}

.dialog-leave {
  opacity: 1;
  transform: translateY(0);
  will-change: opacity, transform;
  &.dialog-leave-active {
    opacity: 0.01;
    transform: translateY(-5%);
    transition: opacity, transform 250ms ease-in;
  }
}
